# Copyright (c) 2015-2021  University of Houston Networking Lab

from distutils.core import setup
import setuptools

tests_require = ["pcapy",
                 "pytest",
                 "pytest-cov"]

setup(name = "uhnet-utils",
      version = "1.0.1",
      author = "UH Networking Lab",
      author_email = "netlab@uh.edu",
      package_dir = {"":"src"},
      packages = setuptools.find_packages(where='src'),
      install_requires = [
        "six",
        "IPy"
        ],
      extras_require = { "tests" : tests_require },
      classifiers = [
        "License :: OSI Approved :: Mozilla Public License 2.0 (MPL 2.0)",
        "Programming Language :: Python :: 2.7",
        "Programming Language :: Python :: 3.6",
        "Programming Language :: Python :: 3.7",
        "Programming Language :: Python :: 3.8",
        ]
      )
